Package com.pixelmed.network

# Interface PresentationContextSelectionPolicy

All Known Implementing Classes:
  `AnyExplicitStoreFindMoveGetPresentationContextSelectionPolicy`, `AnyExplicitStorePresentationContextSelectionPolicy`, `UnencapsulatedExplicitStoreFindMoveGetPresentationContextSelectionPolicy`, `UnencapsulatedExplicitStorePresentationContextSelectionPolicy`

public interface PresentationContextSelectionPolicy

Implementations of this interface accept or reject Presentation Contexts from a list based on the proposed combinations of Abstract Syntax and Transfer Syntax.

See Also:
  - `UnencapsulatedExplicitStoreFindMoveGetPresentationContextSelectionPolicy`

## Method Summary

Modifier and Type
Method
Description
`LinkedList`
`applyPresentationContextSelectionPolicy(LinkedList presentationContexts, int associationNumber)`
Accept or reject Presentation Contexts.
`LinkedList`
`applyPresentationContextSelectionPolicy(LinkedList presentationContexts, int associationNumber, int debugLevel)`
Accept or reject Presentation Contexts.

## Method Details

### applyPresentationContextSelectionPolicy

LinkedList applyPresentationContextSelectionPolicy(LinkedList presentationContexts, int associationNumber, int debugLevel)
Accept or reject Presentation Contexts.

Parameters:
  `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID) with one or more Transfer Syntaxes
  `associationNumber` - for debugging messages
  `debugLevel` - ignored
Returns:
  the java.util.LinkedList of `PresentationContext` objects, as supplied but with the result/reason field set to either "acceptance" or "abstract syntax not supported (provider rejection)" or "transfer syntaxes not supported (provider rejection)" or " no reason (provider rejection)"

### applyPresentationContextSelectionPolicy

LinkedList applyPresentationContextSelectionPolicy(LinkedList presentationContexts, int associationNumber)
Accept or reject Presentation Contexts.

Parameters:
  `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID) with one or more Transfer Syntaxes
  `associationNumber` - for debugging messages
Returns:
  the java.util.LinkedList of `PresentationContext` objects, as supplied but with the result/reason field set to either "acceptance" or "abstract syntax not supported (provider rejection)" or "transfer syntaxes not supported (provider rejection)" or " no reason (provider rejection)"